Release Phone Number
curl --request POST \
--url https://api.trillet.ai/v1/api/twilio/release-number \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"phoneNumberId": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/twilio/release-number"
payload = { "phoneNumberId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({phoneNumberId: '<string>'})
};
fetch('https://api.trillet.ai/v1/api/twilio/release-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Phone number released successfully"
}
Telephony
Release Phone Number
Release (cancel) a phone number from your workspace.
POST
/
v1
/
api
/
twilio
/
release-number
Release Phone Number
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Request Body
string
required
The unique identifier of the phone number to release.
Response Fields
boolean
Whether the release was successful.
string
Confirmation message.
{
"success": true,
"message": "Phone number released successfully"
}
⌘I
